export declare class SpwListItem {
    el: HTMLSpwListItemElement;
    /** Type de variante d'élément de liste */
    variant?: 'shortcut' | 'default';
    /** Spécifie le lien si nécessaire */
    href?: string;
    /** Attribut target, s'applique uniquement si href est rempli */
    target: string;
    /** Spécifie une icône à côté du titre */
    icon?: string;
    /** Permet de limiter le nombre de lignes du titre et de la description */
    lineClamp: string | 'none';
    /** Permet de spécifier une catégorie pour l'élément de liste */
    category?: string;
    /** Permet de spécifier un lien pour la catégorie */
    categoryLink?: string;
    /** Permet de spécifier une icône pour la catégorie */
    categoryIcon?: string;
    /** Permet de choisir la surface d'arrière-plan de la liste */
    surface?: 'light' | 'dark';
    componentWillLoad(): void;
    slotChanged(): void;
    private applyVariantToChildren;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onTouchStart(): void;
    onTouchEnd(): void;
    onMouseDown(): void;
    onMouseUp(): void;
    onBlur(): void;
    onFocus(): void;
    private setHovered;
    private setActive;
    private get elementClass();
    private get elementCatClass();
    private handleClick;
    render(): any;
}
